## wxTextDropTarget

A predefined drop target for dealing with text data.

Derived from

wxDropTarget

Include files

<wx/dnd.h>

See also

Drag and drop overview, wxDropSource, wxDropTarget, wxFileDropTarget

Members

wxTextDropTarget::wxTextDropTarget
wxTextDropTarget::OnDrop
wxTextDropTarget::OnDropText

### wxTextDropTarget::wxTextDropTarget

wxTextDropTarget()

Constructor.

### wxTextDropTarget::OnDrop

virtual bool OnDrop(long x, long y, const void *data, size_t size)

See wxDropTarget::OnDrop. This function is implemented appropriately for text, and calls wxTextDropTarget::OnDropText.

### wxTextDropTarget::OnDropText

virtual bool OnDropText(long x, long y, const char *data)

Override this function to receive dropped text.

Parameters

x

The x coordinate of the mouse.

y

The y coordinate of the mouse.

data

The data being dropped: a NULL-terminated string.

Return value

Return TRUE to accept the data, FALSE to veto the operation.